%define anolis_release 12
%global tarball xf86-video-qxl
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers

%undefine _hardened_build

%define with_xspice 1


Summary:   Xorg X11 qxl video driver
Name:      xorg-x11-drv-qxl

Version:   0.1.5

Release:   %{anolis_release}%{?dist}
URL:       http://www.x.org
Source0:  http://xorg.freedesktop.org/releases/individual/driver/%{tarball}-%{version}.tar.bz2
Patch1: 0001-worst-hack-of-all-time-to-qxl-driver.patch
Patch2: 0002-Xspice-Use-print-instead-of-print.patch
Patch3: 0003-Xspice-Remove-extra-space-before-assignment.patch
Patch4: 0004-Xspice-Fix-Python3-str-vs-bytes-confusion.patch
# This shebang patch is currently downstream-only
Patch5: 0005-Xspice-Adjust-shebang-to-explicitly-mention-python3.patch
Patch6: 0006-qxl-call-provider-init.patch
# https://gitlab.freedesktop.org/xorg/driver/xf86-video-qxl/-/merge_requests/5
Patch7: 0001-configure-Simplify-fragile-libdrm-detection.patch
Patch8: fix-build-error-with-xserver.patch
Patch9: 0007-qx-libdrm.patch

License:   MIT


BuildRequires: make
BuildRequires: pkgconfig(fontsproto)
BuildRequires: pkgconfig(libcacard)
BuildRequires: pkgconfig(libdrm) >= 2.4.46
BuildRequires: pkgconfig(libpcsclite)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(pciaccess) >= 0.10
BuildRequires: pkgconfig(randrproto)
BuildRequires: pkgconfig(renderproto)
BuildRequires: pkgconfig(videoproto)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xf86dgaproto)
BuildRequires: pkgconfig(xfont2)
BuildRequires: pkgconfig(xorg-server) >= 1.0.99.901
BuildRequires: pkgconfig(xproto)

%if %{with_xspice}
BuildRequires: pkgconfig(spice-server) >= 0.6.3
%endif

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires videodrv)

%description
X.Org X11 qxl video driver.

%if %{with_xspice}
%package -n    xorg-x11-server-Xspice
Summary:       XSpice is an X server that can be accessed by a Spice client
Requires:      Xorg %(xserver-sdk-abi-requires ansic)
Requires:      Xorg %(xserver-sdk-abi-requires videodrv)
Requires:      xorg-x11-server-Xorg

%description -n xorg-x11-server-Xspice
XSpice is both an X and a Spice server.
%endif

%prep
%autosetup -n %{tarball}-%{version} -p1

%build
autoreconf -ivf
%if %{with_xspice}
%define enable_xspice --enable-xspice
%endif
%configure --disable-static %{?enable_xspice}
%make_build

%install
%make_install

%if %{with_xspice}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11
install -p -m 644 examples/spiceqxl.xorg.conf.example \
    $RPM_BUILD_ROOT%{_sysconfdir}/X11/spiceqxl.xorg.conf
rm -f $RPM_BUILD_ROOT/usr/share/doc/xf86-video-qxl/spiceqxl.xorg.conf.example
%if !%{with_xspice}
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/spiceqxl.xorg.conf
%endif
%endif


%files
%license COPYING
%doc README
%{driverdir}/qxl_drv.so

%if %{with_xspice}
%files -n xorg-x11-server-Xspice
%license COPYING
%doc README.xspice README examples/spiceqxl.xorg.conf.example
%config(noreplace) %{_sysconfdir}/X11/spiceqxl.xorg.conf
%{_bindir}/Xspice
%{driverdir}/spiceqxl_drv.so
%endif


%changelog
* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 0.1.5-12
- Bump release for upgrading from anolis 8

* Thu Apr 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.1.5-1
- Init from upstream version 0.1.5
